
#include <exec/types.h>
#include <guigfx/guigfx.h>
#include <intuition/intuition.h>
#include "defs.h"
#include "window.h"

#define FLYNN_IDLE	0
#define FLYNN_EVIL	1
#define FLYNN_HATE	2
#define FLYNN_DEAD	3
#define FLYNN_GOD	4


struct FlynnApp
{
	struct mvwindow *window;
	PICTURE *flynnpicture;
	ULONG flynnwidth, flynnheight;

	APTR psm;

	struct MsgPort *scrmsgport;
	APTR scrnotifyhandle;

	APTR subtask;	
	struct idledata
	{
		int count;
	} idledata;

	int flynnmode;
	float flynnhealth;
	int *flynnanimptr;

	char filenamebuffer[MAXNAMELEN];
	char *progname;

	int winx, winy, winwidth, winheight;	
};

